name: "Teamserver/Client Bug Report"
description: File a bug report for the Teamserver client relating to the Havoc Framework.
title: "[Teamserver-Client--Bug]: "
labels: ["clientside/teamserver"]
assignees: 
  - C5pider
body: 
  - type: markdown
    attributes: 
      value: "Thanks for taking the time to fill out this bug report!"
  - type: input
    id: contact
    attributes: 
      label: "Contact Details"
      description: "How can we get in touch with you if we need more info?"
      placeholder: "ex. email@example.com"
    validations: 
      required: false
  - type: textarea
    id: what-happened
    attributes: 
      description: "Also tell us, what did you expect to happen?"
      label: "What happened?"
      placeholder: "Tell me about the numbers Mason!"
      value: "A bug happened!"
    validations: 
      required: true
  - type: dropdown
    id: version
    attributes: 
      description: "What version of our software are you running?"
      label: Did You Do a Pull First?
      options: 
        - "Latest (You performed a pull first)"
        - "Anything else (You didn't pull...)"
    validations: 
      required: true
  - type: dropdown
    id: branch
    attributes: 
      label: Did You Try With the Dev Branch?
      description: "This branch has the latest features and fixes so it might solve your problem"
      options: 
        - "Yes (You tried using the dev branch but the problem persist)"
        - "No (You only tried the main branch...)"
    validations: 
      required: true
  - type: textarea
    id: logs
    attributes: 
      label: "Relevant log output"
      description: "Please copy and paste any relevant log output. This will be automatically formatted into code, so no need for backticks."
      render: shell
  - type: checkboxes
    id: checkboxes
    id: terms
    attributes: 
      description: "By submitting this issue, you declare you posted replication steps and information about the issue, so that it may be fully understood ."
      label: Did You Read Over Your Issue First?
      options: 
        - label: "I declare I made an effort and provided the necessary information for replication of the issue."
          required: true
